%define ver    1.0
%define rel 3mdk
%define _prefix /usr

Summary: Romanian files for ispell
Name: ispell-ro
Version: %{ver}
Release: %{rel}
Group: System/Internationalization
Source0: http://www.cs.cmu.edu/~mihaib/ftp/rom-spell.tar.bz2
Patch: rom-spell-7bit.diff.bz2
# home page disappeared :-(
#URL: http://www.pub.ro/pub/spell-roman
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: locales-ro
Provides: ispell-dictionary

%description
ispell-ro has the spelling data for Romanian which is used by
the ispell program. With this extension, you can compose a document
in Romanian and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%prep
%setup -n rom-spell

%patch0 -p 0

%build

# convert to 8bits
cat rom.signs.dict | sed 's|"a||g' | sed 's|"A||g' | sed "s|'i||g" | \
	sed "s|'I||g" | sed "s|'s||g" | sed "s|'S||g" | sed "s|'t||g" | \
	sed "s|'T||g" | sed "s|'a||g" | sed "s|'A||g"  > romanian.dict

cp rom.signs.aff romanian.aff

buildhash romanian.dict romanian.aff romanian.hash

mv rom.dict rom7.dict ; mv rom.aff rom7.aff
buildhash rom7.dict rom7.aff rom7.hash

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
cp romanian.aff romanian.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/
cp rom7.aff rom7.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/

# make symlinks for compatibility
(
  cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ;
  ln -s romanian.aff rom.signs.aff ; ln -s romanian.hash rom.signs.hash
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc README*
/%{_prefix}/lib/ispell/*

%changelog
* Tue Apr 25 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- corrected the bug with inverted a^ / a( letters.

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-2mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

